xmlwrapp Lightweight C++ XML parsing library

Classes | Variables
xml Namespace Reference

XML library namespace. More...

## Classes
class | attributes
| The xml::attributes class is used to access all the attributes of one xml::node. More...
class | const_nodes_view
| This class implements a read-only view of XML nodes. More...
class | document
| The xml::document class is used to hold the XML tree and various bits of information about it. More...
class | error_handler
| The xml::error_handler class is used to handle libxml2 errors and warnings emitted during parsing, validation etc. More...
class | error_handler_ignore_errors
| An error handler that ignores both errors and warnings. More...
class | error_handler_throw_on_error
| Specialization of error_handler that throws on any error. More...
class | error_handler_throw_on_error_or_warning
| Specialization of error_handler that throws on any error or warning. More...
class | error_message
| Single message in error_messages. More...
class | error_messages
| The xml::error_messages class is used to store all the error messages which are collected while parsing or validating an XML document. More...
class | event_parser
| The xml::event_parser is used to parse an XML document by calling member functions when certain things in the XML document are parsed. More...
class | exception
| This exception class is thrown by xmlwrapp for all runtime XML-related errors. More...
class | init
| The xml::init class is used to configure the XML parser. More...
class | node
| The xml::node class is used to hold information about one XML node. More...
class | nodes_view
| This class implements a view of XML nodes. More...
class | relaxng
| XML validator using RelaxNG. More...
class | schema
| XML Schema. More...
class | tree_parser
| The xml::tree_parser class is used to parse an XML document and generate a tree like structure of xml::node objects. More...
class | xpath_context
| Context in which XPath expressions can be evaluated. More...

## Variables
error_handler_ignore_errors | ignore_errors
| Error handler ignoring all errors, its use is strongly discouraged. More...
error_handler_throw_on_error | throw_on_error
| Error handler object that throws on any error. More...
error_handler_throw_on_error_or_warning | throw_on_error_or_warning
| Error handler object that throws on any error or warning. More...

## Detailed Description

XML library namespace.

## Variable Documentation

## ◆ ignore_errors

error_handler_ignore_errors xml::ignore_errors

Error handler ignoring all errors, its use is strongly discouraged.

## ◆ throw_on_error

error_handler_throw_on_error xml::throw_on_error

Error handler object that throws on any error.

## ◆ throw_on_error_or_warning

error_handler_throw_on_error_or_warning xml::throw_on_error_or_warning

Error handler object that throws on any error or warning.